Bug 14515 - Add biblioitems table to notices in C4/Reserves.pm
Summary: Add biblioitems table to notices in C4/Reserves.pm
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Barton Chittenden
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-09 19:19 UTC by Barton Chittenden
Modified: 2017-06-14 22:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add biblioitems to messages in C4/Reserves.pm (3.60 KB, patch)
2015-07-09 20:25 UTC, Barton Chittenden
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14515: Add biblioitems to messages in C4/Reserves.pm (3.66 KB, patch)
2015-09-30 19:50 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14515: Add biblioitems to messages in C4/Reserves.pm (3.64 KB, patch)
2015-10-06 20:20 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14515 (QA Followup) fix letter.pl available fields. (1021 bytes, patch)
2015-10-06 20:20 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 14515: Add biblioitems to messages in C4/Reserves.pm (3.71 KB, patch)
2015-10-09 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14515 (QA Followup) fix letter.pl available fields. (1.06 KB, patch)
2015-10-09 11:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14515: Add biblioitems to messages in C4/Reserves.pm (3.81 KB, patch)
2015-12-29 19:48 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 14515 (QA Followup) fix letter.pl available fields. (1.13 KB, patch)
2015-12-29 19:48 UTC, Brendan Gallagher
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2015-07-09 19:19:05 UTC
Add 'biblioitems' to the 'tables' hashref for the following notices in C4/Reserves.pm:

    HOLD
    HOLDPLACED
    RESERVESLIP
    message_name => 'Hold_Filled'

See also Bug 13819
Comment 1 Barton Chittenden 2015-07-09 20:25:08 UTC Comment hidden (obsolete)
Comment 2 Barton Chittenden 2015-07-09 21:33:42 UTC
Test plan:

Choose a bib, and populate several fields in its biblioitems record, e.g. volume, isbn, publicationyear.

Set up RESERVESLIP under tools->notices and slips.

Add a field from biblioitems to RESERVESLIP, e.g.

    <<biblioitems.isbn>>

Place a hold on the bib and print the reserveslip

Inspect the slip, and make sure that the field from biblioitems printed correctly.
Comment 3 Barton Chittenden 2015-09-30 19:50:38 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-10-01 13:16:09 UTC
Barton, to be consistent we should display the biblioitems fields when creating/editing a letter from the "reserves" module.
Comment 5 Barton Chittenden 2015-10-06 20:20:26 UTC Comment hidden (obsolete)
Comment 6 Barton Chittenden 2015-10-06 20:20:43 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2015-10-09 11:03:31 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2015-10-09 11:03:34 UTC Comment hidden (obsolete)
Comment 9 Brendan Gallagher 2015-12-29 19:48:34 UTC
Created attachment 46026 [details] [review]
Bug 14515: Add biblioitems to messages in C4/Reserves.pm

http://bugs.koha-community.org/show_bug.cgi?id=14515

Signed-off-by: Danielle Aloia <daloia@nyam.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 10 Brendan Gallagher 2015-12-29 19:48:43 UTC
Created attachment 46027 [details] [review]
Bug 14515 (QA Followup) fix letter.pl available fields.

Add bibliotiems to the 'available fields' list for
module 'Holds' (aka reserves).

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Brendan A Gallagher <brendan@bywatersolutions.com>
Comment 11 Brendan Gallagher 2015-12-29 19:49:00 UTC
Pushed to Master - Thanks.